Add support for Oracle and SQL Server to DB manager

2014-11-15 02:36 PM - David Pavlicek

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Pull Request or Patch supplied:No Resolution: duplicate

Easy fix?: No Copied to github as #: 19904

Description

Please, add support for Oracle and SQL server to DB manager. Without this, there is no simple way how to query/create/delete/manage

tables in these databases.

Related issues:

Duplicates QGIS Application - Feature request # 9163: Extend DBManager to Ora... Closed 2013-12-04

History

#1 - 2014-11-16 01:43 AM - Paolo Cavallini

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #9163

#2 - 2016-03-11 02:48 AM - Filip Mahieu

Me too I would favour to add support for MS SQL Server into the DBManager. In that way it would be possible to use stored procedures or

(table-producing) functions which allready exist in the database. Now via Add SQL Server layer one is limited to the use of tables and views. Sometimes

special Views need to be created just for use of the same data as in the non-Gis-interfaces. And that's a double. 

At my job we use one SQL-Server database for non-spatial retrieving of data (filling the database with SQL-Server-linked Access-front-end) and viewing

and filling the database from QGis on. Works fine, but no stored procedures/functions acessible from QGis.
